<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>Overview (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Overview (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li class="navBarCell1Rev">Overview</li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<div class="header">
<h1 class="title">dblp.datatools 2019.08.0.0 API</h1>
</div>
<main role="main">
<div class="contentContainer">
<table class="overviewSummary">
<caption><span>Packages</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/converter/package-summary.html">bous.philipp.dblp.datatools.converter</a></th>
<td class="colLast">
<div class="block">Contains classes that provide methods to convert and write tar-archives for different
 data-sources to a database.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/converter/heuristics/classification/package-summary.html">bous.philipp.dblp.datatools.converter.heuristics.classification</a></th>
<td class="colLast">
<div class="block">Contains classes supporting tar-archive conversion with labeling-heuristic-strategies for
 documents from different data-sources.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/converter/xmlchecks/raw/package-summary.html">bous.philipp.dblp.datatools.converter.xmlchecks.raw</a></th>
<td class="colLast">
<div class="block">Contains classes supporting tar-archive by providing additional means of checking
 raw input XMLs.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/datamodel/package-summary.html">bous.philipp.dblp.datatools.datamodel</a></th>
<td class="colLast">
<div class="block">Contains classes/interfaces/enums that build the base model of in-code data-representation of
 documents and corresponding structures.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/package-summary.html">bous.philipp.dblp.datatools.datamodel.records.archetypes</a></th>
<td class="colLast">
<div class="block">Contains classes/interfaces to represent documents from specific sources in-code with a minimum of a common interface.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/datamodel/records/archetypes/factory/package-summary.html">bous.philipp.dblp.datatools.datamodel.records.archetypes.factory</a></th>
<td class="colLast">
<div class="block">Contains factories to build in-code representations of documents from specific sources (based on a common interface).</div>
</td>
</tr>
<tr class="altColor" id="i6">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/db/reader/package-summary.html">bous.philipp.dblp.datatools.db.reader</a></th>
<td class="colLast">
<div class="block">Provides means of drawing data from a database/tables as described in the
 corresponding thesis as well as transformation into the unified <a href="bous/philipp/dblp/datatools/datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a> format.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/evaluation/package-summary.html">bous.philipp.dblp.datatools.evaluation</a></th>
<td class="colLast">
<div class="block">Provides classes/interfaces used in classifier-evaluation.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/executables/modelbuilding/svmlogreg/package-summary.html">bous.philipp.dblp.datatools.executables.modelbuilding.svmlogreg</a></th>
<td class="colLast">
<div class="block">Provides executables to perform cross-validation and standalone model-building processes using
 SVMs and LR.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/executables/ONLY_FOR_DOC/package-summary.html">bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC</a></th>
<td class="colLast">
<div class="block">Contains a set of executables as little scripts to explore or prepare
 data or for the sake of debugging.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/executables/testing/svmlogreg/package-summary.html">bous.philipp.dblp.datatools.executables.testing.svmlogreg</a></th>
<td class="colLast">
<div class="block">Provides executables to test existing SVMs and LR models.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/executables/vectorization/package-summary.html">bous.philipp.dblp.datatools.executables.vectorization</a></th>
<td class="colLast">
<div class="block">Provides executables to draw data from a database/tables as described in the corresponding thesis
 and vectorize the drawn data.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/executables/vocabbuilding/package-summary.html">bous.philipp.dblp.datatools.executables.vocabbuilding</a></th>
<td class="colLast">
<div class="block">Provides an executable to build a <a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>ScoredVocabulary</code></a>
 from data drawn from a database/tables as described in the corresponding thesis.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/featureconstruction/vectorization/package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vectorization</a></th>
<td class="colLast">
<div class="block">Provides vectorization-logic/classes.</div>
</td>
</tr>
<tr class="altColor" id="i14">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/featureconstruction/vocabulary/package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vocabulary</a></th>
<td class="colLast">
<div class="block">Provides vocabulary-building-logic/classes.</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/featurescoring/package-summary.html">bous.philipp.dblp.datatools.featurescoring</a></th>
<td class="colLast">
<div class="block">Provides classes to perform feature-scoring for word based text-classification-scenarios.</div>
</td>
</tr>
<tr class="altColor" id="i16">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/modelprocessing/package-summary.html">bous.philipp.dblp.datatools.modelprocessing</a></th>
<td class="colLast">
<div class="block">Contains classes/interfaces providing logic to do training/testing of SVM/LR models as well as
 some archetype functions to initiate those processes.</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/prediction/package-summary.html">bous.philipp.dblp.datatools.prediction</a></th>
<td class="colLast">
<div class="block">Provides predictors and means of predictor-representations on a common interface.</div>
</td>
</tr>
<tr class="altColor" id="i18">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/tokenization/package-summary.html">bous.philipp.dblp.datatools.tokenization</a></th>
<td class="colLast">
<div class="block">Provides means of tokenization.</div>
</td>
</tr>
<tr class="rowColor" id="i19">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/config/package-summary.html">bous.philipp.dblp.datatools.util.config</a></th>
<td class="colLast">
<div class="block">Provides base classes/interfaces for a common interface for configurable experiment-steps as executed by
 functions in bous.philipp.dblp.datatools.</div>
</td>
</tr>
<tr class="altColor" id="i20">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/database/package-summary.html">bous.philipp.dblp.datatools.util.database</a></th>
<td class="colLast">
<div class="block">Provides utility classes to work with databases.</div>
</td>
</tr>
<tr class="rowColor" id="i21">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/fileprocessing/package-summary.html">bous.philipp.dblp.datatools.util.fileprocessing</a></th>
<td class="colLast">
<div class="block">Provides utility-classes/itnerfaces to work with files(especially archives).</div>
</td>
</tr>
<tr class="altColor" id="i22">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/logging/package-summary.html">bous.philipp.dblp.datatools.util.logging</a></th>
<td class="colLast">
<div class="block">Provides logging-utility.</div>
</td>
</tr>
<tr class="rowColor" id="i23">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/math/package-summary.html">bous.philipp.dblp.datatools.util.math</a></th>
<td class="colLast">
<div class="block">Provides utility for mathematics like certain mathematic functions or statistic capabilities.</div>
</td>
</tr>
<tr class="altColor" id="i24">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/string/package-summary.html">bous.philipp.dblp.datatools.util.string</a></th>
<td class="colLast">
<div class="block">Provides utility to work on strings.</div>
</td>
</tr>
<tr class="rowColor" id="i25">
<th class="colFirst" scope="row"><a href="bous/philipp/dblp/datatools/util/xml/package-summary.html">bous.philipp.dblp.datatools.util.xml</a></th>
<td class="colLast">
<div class="block">Provides utility to simplify working with XMLs.</div>
</td>
</tr>
<tr class="altColor" id="i26">
<th class="colFirst" scope="row"><a href="bous/philipp/tools/latex/package-summary.html">bous.philipp.tools.latex</a></th>
<td class="colLast">
<div class="block">Base package to provide utility to simplify working with Latex Tables.</div>
</td>
</tr>
</tbody>
</table>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li class="navBarCell1Rev">Overview</li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
